(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6116,        195]
NotebookOptionsPosition[      5783,        180]
NotebookOutlinePosition[      6163,        196]
CellTagsIndexPosition[      6120,        193]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"kV", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mu]F", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Unom", "=", 
   RowBox[{
    FractionBox["22", 
     SqrtBox["3"]], "kV"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U1", "=", 
   RowBox[{"1.06", "*", "Unom"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"2", "*", "Pi", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L1", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L2", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L3", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R2", "=", "100"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ser", ":=", 
   RowBox[{
    RowBox[{"Plus", "@@", "#"}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"par", ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"Plus", "@@", 
       SuperscriptBox["#", 
        RowBox[{"-", "1"}]]}], ")"}], 
     RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", ":=", 
   RowBox[{
    RowBox[{"Chop", "[", 
     RowBox[{"Simplify", "[", "#", "]"}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z1", "=", 
   RowBox[{"I", "*", "\[Omega]", "*", "L1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z2a", "=", 
   FractionBox["1", 
    RowBox[{"I", "*", "\[Omega]", "*", "c"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z2b", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"I", "*", "\[Omega]", "*", "L2"}], ",", "R2"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z2c", "=", 
   RowBox[{"ser", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"I", "*", "\[Omega]", "*", "L3"}], ",", "Ro"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z2", "=", 
   RowBox[{"par", "[", 
    RowBox[{"{", 
     RowBox[{"z2a", ",", "z2b", ",", "z2c"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U2", "[", 
    RowBox[{"Ro_", ",", "c_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"U1", "*", 
     FractionBox["z2", 
      RowBox[{"z1", "+", "z2"}]]}], "//", "s"}]}], ";"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"U2", "[", 
       RowBox[{"200", ",", 
        RowBox[{"c", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"U2", "[", 
       RowBox[{"250", ",", 
        RowBox[{"c", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"U2", "[", 
       RowBox[{"150", ",", 
        RowBox[{"c", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", "Unom"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "12000"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<c [\[Mu]F]\>\"", ",", "\"\<U2 [V]\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.479538676046875*^9, 3.479538843875*^9}, {
  3.47953892865625*^9, 3.479538954734375*^9}, {3.479539191125*^9, 
  3.4795392198125*^9}, {3.4795396110625*^9, 3.47953961140625*^9}, {
  3.47953966190625*^9, 3.479539669453125*^9}, {3.479539709109375*^9, 
  3.479539882265625*^9}, {3.47953994175*^9, 3.479539946359375*^9}, {
  3.479540076078125*^9, 3.479540216015625*^9}, {3.479540258828125*^9, 
  3.479540321421875*^9}, {3.479541140578125*^9, 3.479541148546875*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"U2", "[", 
        RowBox[{"200", ",", 
         RowBox[{"c", "*", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", 
      RowBox[{"Abs", "[", 
       RowBox[{"U2", "[", 
        RowBox[{"250", ",", 
         RowBox[{"c", "*", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", 
      RowBox[{"Abs", "[", 
       RowBox[{"U2", "[", 
        RowBox[{"150", ",", 
         RowBox[{"c", "*", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]]}]}], "]"}], "]"}], ",", "Unom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "0", ",", "1000"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "12000"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<c [\[Mu]F]\>\"", ",", "\"\<U2 [V]\>\""}], "}"}]}]}], "]"}],
   "*)"}]], "Input",
 CellChangeTimes->{{3.479540619109375*^9, 3.479540641328125*^9}}]
},
WindowSize->{1145, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 4008, 121, 753, "Input"],
Cell[4556, 143, 1223, 35, 109, "Input"]
}
]
*)

(* End of internal cache information *)
