(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5608,        191]
NotebookOptionsPosition[      5163,        173]
NotebookOutlinePosition[      5543,        189]
CellTagsIndexPosition[      5500,        186]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"amplituda", "=", 
   RowBox[{"230", "*", 
    SqrtBox["2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"faze", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox["1", "f"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"2", "*", "Pi", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"R", "+", 
    RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", "t_", "]"}], "=", 
   RowBox[{"amplituda", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "faze"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ufazor", "=", 
   RowBox[{"amplituda", "*", 
    RowBox[{"Exp", "[", 
     RowBox[{"I", "*", "faze"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ifazor", "=", 
   FractionBox["Ufazor", "Z"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"i", "[", "t_", "]"}], ":=", 
   RowBox[{"Im", "[", 
    RowBox[{"Ifazor", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "\[Omega]", "*", "t"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uR", "[", "t_", "]"}], ":=", 
   RowBox[{"Im", "[", 
    RowBox[{"R", "*", "Ifazor", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "\[Omega]", "*", "t"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uL", "[", "t_", "]"}], ":=", 
   RowBox[{"Im", "[", 
    RowBox[{"I", "*", "\[Omega]", "*", "L", "*", "Ifazor", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "\[Omega]", "*", "t"}], "]"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.47894525603125*^9, 3.47894531565625*^9}, {
  3.478945359828125*^9, 3.478945559765625*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uR", "[", "t", "]"}], ",", 
     RowBox[{"uL", "[", "t", "]"}], ",", 
     RowBox[{"20", "*", 
      RowBox[{"i", "[", "t", "]"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.003", "]"}], ",", "#"}], "}"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.478945568890625*^9, 3.47894570165625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   FractionBox["1", "T"], 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "*", 
      RowBox[{"i", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}], "//", 
  "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   FractionBox["1", "T"], 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], "+", 
        RowBox[{"3", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"3", "\[Omega]", "*", "t"}], "+", "0.568"}], "]"}]}]}], 
       ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}]}], "//", 
  "Chop"}]}], "Input",
 CellChangeTimes->{{3.57328470121875*^9, 3.5732847175625*^9}, {
  3.57328478384375*^9, 3.57328479103125*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"i", "[", "t", "]"}], "+", 
      RowBox[{"3", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"3", "\[Omega]", "*", "t"}], "+", "0.568"}], "]"}]}]}], 
     ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", "0.003", "]"}], ",", "#"}], "}"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}], ")"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5732846755*^9, 3.57328468603125*^9}, {3.57328472375*^9, 
  3.573284770484375*^9}}],

Cell[BoxData["Ifazor"], "Input"]
},
WindowSize->{1010, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2107, 65, 479, "Input"],
Cell[2655, 87, 689, 21, 75, "Input"],
Cell[3347, 110, 947, 31, 131, "Input"],
Cell[4297, 143, 827, 26, 75, "Input"],
Cell[5127, 171, 32, 0, 46, "Input"]
}
]
*)

(* End of internal cache information *)
